%define upstream_name    Dist-Zilla-Deb
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Build and release debian package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
This command runs 'debc' command on sources built with 'dzil debuild'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-10.mga10
+ Revision: 2198272
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-9.mga9
+ Revision: 1803052
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-8.mga8
+ Revision: 1494077
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-7.mga7
+ Revision: 1267289
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-6.mga6
+ Revision: 1025812
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.40.0-5.mga6
+ Revision: 939426
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 739920
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 534170
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 476333
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 366032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 165439
- remove MYMETA from %%doc
- update to 0.03

* Mon Mar 14 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 71094
- imported package perl-Dist-Zilla-Deb


* Mon Mar 14 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
